#include <cstdio>
#include <map>
#include <iostream>
#include <string>
#include <cctype>

static const string Voka    = "AEIOUY"
                              "aeiouy";
static const string Konso   = "BCDFGHJKLMNPQRSTVWXZ"
                              "bcdfghjklmnpqrstvwxz";
static const string Molemmat= "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
                              "abcdefghijklmnopqrstuvwxyz";
static const string Kovat   = "BDGKPQT"
                              "bdgkpqt";
static const string Kovat2  = "BDGKPQTXZ"
                              "bdgkpqtxz";
static const string Hymy    = ":(=-8^;]['";
static const string HymyEnd = "DI)";
static const string Punct   = ".?!";

class uns
{
	unsigned val;
public:
	uns() : val(0) { }
	operator unsigned & () { return val; }
};

static map<string, uns> bytes;

static string GetByte(const char *&p)
{
    string Buf;
	while(*p && (Hymy.find(*p) != Hymy.npos || (HymyEnd.find(*p)!=HymyEnd.npos && Buf.size())))
	{
		Buf += *p++;
	}
	if(Buf.size())++bytes[Buf];
	Buf = "";

	while(*p && (Punct.find(*p) != Punct.npos))
	{
		Buf += *p++;
	}
	if(Buf.size())++bytes[Buf];
	Buf = "";
	
	if(*p=='')
	{
		for(;;)
		{
			Buf += *p++;
			if((*p<'0'||*p>'9')&&*p!=',')break;
		}
		++bytes[Buf];
		Buf = "";
	}

    while(*p && Molemmat.find(*p) == Molemmat.npos)
    {
    	char Buf2[2] = {*p, 0};
    	++bytes[Buf2];
    	++p;
    }

    while(Konso.find(*p) != Konso.npos)Buf += *p++;
    while(Voka.find(*p) != Voka.npos)Buf += *p++;
    while(Konso.find(*p) != Konso.npos)
    {
        if(Voka.find(p[1]) != Voka.npos)break;
        Buf += *p++;
    }
    
    if(Buf.size())
    	++bytes[Buf];
    
    return Buf;
}

static void SPuhu(const char *s)
{
	string d;
    const char *p = s;
    while(*p)
    	d += *p++; //toupper(*p++);
    p = d.c_str();

    for(;;)
    {
        string t = GetByte(p);
        if(!t.size())break;
    }
}

static string CFix(const string &s) return result;
{
	unsigned a, b=s.size();
	for(a=0; a<b; ++a)
	{
		if(s[a]=='"' || s[a]=='\\')result += '\\';
		result += s[a];
	}
}

int main(void)
{
	unsigned wholesize = 0;
	for(;;)
	{
		unsigned a;
		string s;
		getline(cin, s);
		if(!cin.good())break;
		a = s.find(' ');
		if(a == s.npos)continue;
		
		string text = s.substr(a+1);
		
		wholesize += text.size();
		
		SPuhu(text.c_str());
	}
	
	map<string,uns>::iterator i;
	
	multimap<unsigned, string> values;
	
	for(i=bytes.begin(); i!=bytes.end(); ++i)
	{
		values.insert(pair<unsigned, string> (i->second, i->first));
	}
	
	multimap<unsigned, string>::reverse_iterator j;
	
	unsigned tulosum=0, max=1500;
	for(j=values.rbegin(); j!=values.rend(); ++j)
	{
		if(!--max)break;
		printf("%8u, \"%s\",\n", j->first, CFix(j->second).c_str());
		tulosum += j->first * j->second.size();
	}
	
	printf("%8u, \"\",\n", wholesize - tulosum);
	
	return 0;
}
